Bug 8344 - mips-rtems build problem
mips-rtems build problem
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: ada
3.2
: P3 normal
: ---
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-24 14:56 UTC by Joel Sherrill
Modified: 2003-07-25 17:33 UTC (History)
5 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Sherrill 2002-10-24 14:56:03 UTC
See http://gcc.gnu.org/ml/gcc-patches/2002-05/msg01445.html

Laurent Guerby submitted a patch for a problem back in 
May 2002 but it was never acknowledged and since a 
corresponding PR wasn't filed, it slipped through the
cracks.  Here is the description:

The Ada/mips problem (already discussed with Joel) is that there is a 
file name conflict between gcc/final.o and gcc/ada/final.o that causes ecoff.h to come
wrongly into the picture, the solution is to rename gcc/ada/final.o into 
something else, here is one patch that renames the gcc/ada source file to adafinal.c.

http://gcc.gnu.org/ml/gcc-patches/2002-05/msg01445.html

Release:
3.2 and newer

Environment:
target at least mips-rtems, maybe all embedded mips
Comment 1 Joel Sherrill 2003-01-13 06:25:37 UTC
State-Changed-From-To: open->feedback
State-Changed-Why: Still applies to 3.3 branch
Comment 2 Laurent Guerby 2003-01-28 22:28:24 UTC
From: guerby@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/8344
Date: 28 Jan 2003 22:28:24 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	guerby@gcc.gnu.org	2003-01-28 22:28:24
 
 Modified files:
 	gcc/ada        : ChangeLog Makefile.in 
 Added files:
 	gcc/ada        : adafinal.c 
 
 Log message:
 	2003-01-28  Laurent Guerby <guerby@acm.org>
 	
 	PR ada/8344
 	* final.c: rename to adafinal.c to avoid file name conflicts with gcc file.
 	* Makefile.in: match previous change.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/adafinal.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=NONE&r2=1.1.2.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.197.2.16.2.8&r2=1.197.2.16.2.9
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Makefile.in.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.21.10.4.4.1&r2=1.21.10.4.4.2
 

Comment 3 Laurent Guerby 2003-01-29 22:37:56 UTC
From: guerby@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/8344
Date: 29 Jan 2003 22:37:56 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	guerby@gcc.gnu.org	2003-01-29 22:37:56
 
 Modified files:
 	gcc/ada        : ChangeLog Makefile.in Make-lang.in 
 Added files:
 	gcc/ada        : adafinal.c 
 Removed files:
 	gcc/ada        : final.c 
 
 Log message:
 	2003-01-29  Laurent Guerby <guerby@acm.org>
 	
 	PR ada/8344
 	* final.c: rename to adafinal.c to avoid file name conflicts with gcc file.
 	* Makefile.in: match previous change.
 	* Make-lang.in: match previous change.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/adafinal.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=NONE&r2=1.1.4.1
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.270.2.5&r2=1.270.2.6
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Makefile.in.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.36.4.2&r2=1.36.4.3
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Make-lang.in.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.18.4.3&r2=1.18.4.4
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/final.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.3&r2=NONE
 

Comment 4 Laurent Guerby 2003-01-30 00:46:23 UTC
From: guerby@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: ada/8344
Date: 30 Jan 2003 00:46:23 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	guerby@gcc.gnu.org	2003-01-30 00:46:22
 
 Modified files:
 	gcc/ada        : ChangeLog Make-lang.in Makefile.in 
 Added files:
 	gcc/ada        : adafinal.c 
 Removed files:
 	gcc/ada        : final.c 
 
 Log message:
 	2003-01-29  Laurent Guerby <guerby@acm.org>
 	
 	PR ada/8344
 	* final.c: rename to adafinal.c to avoid file name conflicts with gcc file.
 	* Makefile.in: match previous change.
 	* Make-lang.in: match previous change.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/adafinal.c.diff?cvsroot=gcc&r1=1.1&r2=1.2
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/ChangeLog.diff?cvsroot=gcc&r1=1.283&r2=1.284
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Make-lang.in.diff?cvsroot=gcc&r1=1.23&r2=1.24
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/Makefile.in.diff?cvsroot=gcc&r1=1.38&r2=1.39
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ada/final.c.diff?cvsroot=gcc&r1=1.3&r2=NONE
 

Comment 5 Dara Hazeghi 2003-05-09 12:02:06 UTC
From: Dara Hazeghi <dhazeghi@yahoo.com>
To: gcc-gnats@gcc.gnu.org, nobody@gcc.gnu.org, joel@OARcorp.com,
   guerby@acm.org
Cc:  
Subject: Re: ada/8344: mips-rtems build problem
Date: Fri, 9 May 2003 12:02:06 -0700

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit- 
 trail&database=gcc&pr=8344
 
 Hello,
 
 this PR lists a number of patches that appear to have been applied. Is  
 this so? If so, can anyone confirm that the bug in question no longer  
 appears? Thanks,
 
 Dara
 
Comment 6 Laurent Guerby 2003-05-09 19:08:15 UTC
State-Changed-From-To: feedback->closed
State-Changed-Why: Fixed on 3.2, 3.3, mainline and ACT tree.
Comment 7 Laurent Guerby 2003-05-09 21:09:03 UTC
From: Laurent GUERBY <guerby@acm.org>
To: Dara Hazeghi <dhazeghi@yahoo.com>
Cc: gcc-gnats@gcc.gnu.org, nobody@gcc.gnu.org, joel@OARcorp.com
Subject: Re: ada/8344: mips-rtems build problem
Date: 09 May 2003 21:09:03 +0200

 On Fri, 2003-05-09 at 21:02, Dara Hazeghi wrote:
 > http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit- 
 > trail&database=gcc&pr=8344
 > 
 > Hello,
 > 
 > this PR lists a number of patches that appear to have been applied. Is  
 > this so? If so, can anyone confirm that the bug in question no longer  
 > appears? Thanks,
 
 The problem (ada/final.c => ada/adafinal.c) has been fixed for 3.2, 3.3
 branches, mainline and ACT sources, I'm closing it, thanks for reminding
 us.
 
 Laurent
 

Comment 8 joel.sherrill 2003-05-12 08:54:08 UTC
From: Joel Sherrill <joel.sherrill@OARcorp.com>
To: Laurent GUERBY <guerby@acm.org>
Cc: Dara Hazeghi <dhazeghi@yahoo.com>, gcc-gnats@gcc.gnu.org,
 	nobody@gcc.gnu.org, joel@OARcorp.com
Subject: Re: ada/8344: mips-rtems build problem
Date: Mon, 12 May 2003 08:54:08 -0500

 Laurent GUERBY wrote:
 > 
 > On Fri, 2003-05-09 at 21:02, Dara Hazeghi wrote:
 > > http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-
 > > trail&database=gcc&pr=8344
 > >
 > > Hello,
 > >
 > > this PR lists a number of patches that appear to have been applied. Is
 > > this so? If so, can anyone confirm that the bug in question no longer
 > > appears? Thanks,
 > 
 > The problem (ada/final.c => ada/adafinal.c) has been fixed for 3.2, 3.3
 > branches, mainline and ACT sources, I'm closing it, thanks for reminding
 > us.
 
 Laurent is correct.  This is fixed and we incldue Ada in the mips-rtems
 RPMs.  Sorry this was still open.
 
 > Laurent
 
 -- 
 Joel Sherrill, Ph.D.             Director of Research & Development
 joel@OARcorp.com                 On-Line Applications Research
 Ask me about RTEMS: a free RTOS  Huntsville AL 35805
 Support Available                (256) 722-9985